> ## Documentation Index
> Fetch the complete documentation index at: https://docs.membrane.agency/llms.txt
> Use this file to discover all available pages before exploring further.

# Download connector as zip file



## OpenAPI

````yaml /api-reference/membrane-api.json get /connectors/{idOrKey}/download
openapi: 3.0.0
info:
  title: Membrane API
  description: API documentation for Membrane Engine
  version: '1.0'
  contact: {}
servers:
  - url: https://api.getmembrane.com
security:
  - bearer: []
tags: []
paths:
  /connectors/{idOrKey}/download:
    get:
      tags:
        - Connectors
      summary: Download connector as zip file
      operationId: downloadConnector
      parameters:
        - name: idOrKey
          required: true
          in: path
          schema:
            type: string
        - name: version
          required: true
          in: query
          schema:
            type: string
      responses:
        '200':
          description: Connector zip file
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ConnectorDownloadResponseDto'
components:
  schemas:
    ConnectorDownloadResponseDto:
      type: object
      properties:
        data:
          type: string
          description: Binary file content
      required:
        - data
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````